View Issue Details

IDProjectCategoryView StatusLast Update
0000736bareos-core[All Projects] webuipublic2017-01-27 11:59
ReportermagedshakerAssigned To 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version7
Product Version16.2.4 
Fixed in Version16.2.5 
Summary0000736: Webui when login from different IP is not respond untill remove browser cookies for bareos-webui record
DescriptionDears

When already login to bareos-webui without issue , so when the adsl router ip change , i can't access bareos-webui and given blank screen , so this issue not solve until remove browser cookies related to bareos.

I tried that 10 times with the same behaviour .
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

michelv

michelv

2016-12-28 13:56

reporter   ~0002489

Confirmed. Reproduce by login, waiting for new IPv6 address (overnight in my case) and navigating back to /dashboard/
michelv

michelv

2016-12-30 17:39

reporter   ~0002491

Error I get:
Fatal error: Uncaught Zend\Session\Exception\RuntimeException: Session validation failed in /usr/share/bareos-webui/vendor/zendframework/zend-session/src/SessionManager.php:130 Stack trace: #0 /usr/share/bareos-webui/module/Application/Module.php(76): Zend\Session\SessionManager->start() 0000001 /usr/share/bareos-webui/module/Application/Module.php(43): Application\Module->initSession(Object(Zend\Mvc\MvcEvent)) 0000002 [internal function]: Application\Module->onBootstrap(Object(Zend\Mvc\MvcEvent)) 0000003 /usr/share/bareos-webui/vendor/zendframework/zend-eventmanager/src/EventManager.php(444): call_user_func(Array, Object(Zend\Mvc\MvcEvent)) 0000004 /usr/share/bareos-webui/vendor/zendframework/zend-eventmanager/src/EventManager.php(205): Zend\EventManager\EventManager->triggerListeners('bootstrap', Object(Zend\Mvc\MvcEvent), Array) 0000005 /usr/share/bareos-webui/vendor/zendframework/zend-mvc/src/Application.php(157): Zend\EventManager\EventManager->trigger('bootstrap', Object(Zend\Mvc\MvcEvent)) 0000006 /usr/share/bareos-webui/vendor/zendframework/ze in /usr/share/bareos-webui/vendor/zendframework/zend-session/src/SessionManager.php on line 130
frank

frank

2017-01-27 11:55

manager   ~0002536

Fix committed to bareos-webui bareos-16.2 branch with changesetid 6836.
frank

frank

2017-01-27 11:55

manager   ~0002538

Fix committed to bareos-webui master branch with changesetid 6840.

Related Changesets

bareos-webui: bareos-16.2 72dfab7f

2017-01-25 18:01:57

frank

Ported: N/A

Details Diff
Fix to bugreport 0000736

Fixes 0000736: Webui when login from different IP is not respond untill remove browser cookies for bareos-webui record
Affected Issues
0000736
mod - module/Application/Module.php Diff File

bareos-webui: master b84bee60

2017-01-25 18:01:57

frank

Ported: N/A

Details Diff
Fix to bugreport 0000736

Fixes 0000736: Webui when login from different IP is not respond untill remove browser cookies for bareos-webui record
Affected Issues
0000736
mod - module/Application/Module.php Diff File

Issue History

Date Modified Username Field Change
2016-12-11 17:13 magedshaker New Issue
2016-12-12 12:21 frank Assigned To => frank
2016-12-12 12:21 frank Status new => assigned
2016-12-28 13:56 michelv Note Added: 0002489
2016-12-30 17:39 michelv Note Added: 0002491
2017-01-03 12:09 frank Status assigned => confirmed
2017-01-27 11:55 frank Changeset attached => bareos-webui bareos-16.2 72dfab7f
2017-01-27 11:55 frank Note Added: 0002536
2017-01-27 11:55 frank Status confirmed => resolved
2017-01-27 11:55 frank Resolution open => fixed
2017-01-27 11:55 frank Changeset attached => bareos-webui master b84bee60
2017-01-27 11:55 frank Note Added: 0002538
2017-01-27 11:56 frank Status resolved => feedback
2017-01-27 11:56 frank Resolution fixed => reopened
2017-01-27 11:57 frank Status feedback => closed
2017-01-27 11:57 frank Fixed in Version => 16.2.5
2017-01-27 11:59 frank Status closed => feedback
2017-01-27 11:59 frank bareos-master: impact => yes
2017-01-27 11:59 frank bareos-master: action => fixed
2017-01-27 11:59 frank bareos-16.2: impact => yes
2017-01-27 11:59 frank bareos-16.2: action => fixed
2017-01-27 11:59 frank Assigned To frank =>
2017-01-27 11:59 frank Status feedback => closed
2017-01-27 11:59 frank Resolution reopened => fixed